kudu-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From danburk...@apache.org
Subject kudu git commit: [java] Include Spark/Scala base version in kudu-spark-tools
Date Mon, 21 Aug 2017 23:24:15 GMT
Repository: kudu
Updated Branches:
  refs/heads/master 7986ee028 -> fa2757763


[java] Include Spark/Scala base version in kudu-spark-tools

Renames the kudu-spark-tools artifact to include the
spark and scala base version. Including the scala
version is standard practice and helps users avoid binary
compatability issues. Adding the Spark base version matches
the pattern used in the kudu-spark module and prevents users
from trying to use kudu-spark-tools with Spark 1. This change
will also make upgrades to Scala 2.12 or Spark 3 in the future
more seamless.

Before: kudu-spark-tools
After:    kudu-spark2-tools_2.11

Change-Id: I2e25b0a0d560d5c9504002fbe3bbcfdc79a83d2d
Reviewed-on: http://gerrit.cloudera.org:8080/7723
Tested-by: Kudu Jenkins
Reviewed-by: Jean-Daniel Cryans <jdcryans@apache.org>


Project: http://git-wip-us.apache.org/repos/asf/kudu/repo
Commit: http://git-wip-us.apache.org/repos/asf/kudu/commit/fa275776
Tree: http://git-wip-us.apache.org/repos/asf/kudu/tree/fa275776
Diff: http://git-wip-us.apache.org/repos/asf/kudu/diff/fa275776

Branch: refs/heads/master
Commit: fa2757763285cacf9f7fdd759953d678b8b8edc2
Parents: 7986ee0
Author: Grant Henke <granthenke@gmail.com>
Authored: Fri Aug 18 13:19:49 2017 -0500
Committer: Dan Burkert <danburkert@apache.org>
Committed: Mon Aug 21 23:23:53 2017 +0000

----------------------------------------------------------------------
 docs/release_notes.adoc            | 5 +++++
 java/kudu-spark-tools/build.gradle | 5 ++++-
 java/kudu-spark-tools/pom.xml      | 2 +-
 3 files changed, 10 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/kudu/blob/fa275776/docs/release_notes.adoc
----------------------------------------------------------------------
diff --git a/docs/release_notes.adoc b/docs/release_notes.adoc
index 1a95887..1099c2c 100644
--- a/docs/release_notes.adoc
+++ b/docs/release_notes.adoc
@@ -42,6 +42,11 @@
   is Java 7 compatible. Spark 2.2 is the default dependency version as of
   Kudu 1.5.0.
 
+* The kudu-spark-tools module has been renamed to include the Spark and
+  Scala base versions. This matches the pattern used in the kudu-spark
+  module and artifacts. The kudu-spark-tools.jar is now called
+  kudu-spark2-tools_2.11.jar
+
 [[rn_1.5.0_deprecations]]
 == Deprecations
 

http://git-wip-us.apache.org/repos/asf/kudu/blob/fa275776/java/kudu-spark-tools/build.gradle
----------------------------------------------------------------------
diff --git a/java/kudu-spark-tools/build.gradle b/java/kudu-spark-tools/build.gradle
index 6e0c450..8bb0315 100644
--- a/java/kudu-spark-tools/build.gradle
+++ b/java/kudu-spark-tools/build.gradle
@@ -35,4 +35,7 @@ dependencies {
   testCompile libs.log4j
   testCompile libs.scalatest
   testCompile libs.slf4jLog4j12
-}
\ No newline at end of file
+}
+
+// Adjust the artifact name to match the maven build.
+archivesBaseName = "kudu-spark${versions.sparkBase}-tools_${versions.scalaBase}"
\ No newline at end of file

http://git-wip-us.apache.org/repos/asf/kudu/blob/fa275776/java/kudu-spark-tools/pom.xml
----------------------------------------------------------------------
diff --git a/java/kudu-spark-tools/pom.xml b/java/kudu-spark-tools/pom.xml
index 4932f26..1d18fc7 100644
--- a/java/kudu-spark-tools/pom.xml
+++ b/java/kudu-spark-tools/pom.xml
@@ -27,7 +27,7 @@
         <version>1.5.0-SNAPSHOT</version>
     </parent>
 
-    <artifactId>kudu-spark-tools</artifactId>
+    <artifactId>kudu-${spark.version.label}-tools_${scala.binary.version}</artifactId>
     <name>Kudu Spark Tools</name>
     <description>Collection of tools using Spark and Kudu</description>
 


Mime
View raw message